## libffi-platypus-type-enum-perl 0.06

=== debian/changelog ===
libffi-platypus-type-enum-perl (0.06-2) unstable; urgency=medium

  * Team upload.
  * No-change source-only re-upload.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Feb 2023 20:53:46 +0100

libffi-platypus-type-enum-perl (0.06-1) unstable; urgency=low

  * Initial release (Closes: #1030613).

 -- Mason James <mtj@kohaaloha.com>  Mon, 6 Feb 2023 04:26:20 +1300
