=== debian/control ===
Source: libffi-platypus-type-enum-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Mason James <mtj@kohaaloha.com>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libffi-platypus-perl (>= 1.00) <!nocheck>,
                     libref-util-perl <!nocheck>,
                     libtest2-suite-perl (>= 0.000121) <!nocheck>,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libffi-platypus-type-enum-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libffi-platypus-type-enum-perl.git
Homepage: https://metacpan.org/release/FFI-Platypus-Type-Enum
Rules-Requires-Root: no

Package: libffi-platypus-type-enum-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libref-util-perl
Description: custom platypus type for dealing with C enumerated types
 FFI::Platypus::Type::Enum type plugin is a helper for making enumerated types.
 It makes the most sense to use this when you have an enumerated type with a
 small number of possible values. For a large set of enumerated values or
 constants, see: FFI::Platypus::Constant.
 .
 This type plugin has two modes:
 .
  string
 .
  In string mode, string representations of the enum values are converted into
  the integer enum values when passed into C, and the enums are converted back
  into strings when coming from C back into Perl. You can also pass in the
  integer values.
 .
  constant
 .
  In constant mode, constants are defined in the specified package, and with
  the optional prefix. The string representation or integer constants can be
  passed into C, but the integer constants are returned from C back into Perl.
 .
  In both modes, if you attempt to pass in a value that isn't one of the
  possible enum values, an exception will be thrown.
