=== debian/watch ===
version=4
https://metacpan.org/release/FFI-Platypus-Type-Enum   .*/FFI-Platypus-Type-Enum-v?@ANY_VERSION@@ARCHIVE_EXT@$
